realtime 0.5 not working

General discussion about Plugins for Cacti

Moderators: Moderators, Developers

Post Reply
Author
Message
chiragvaidya
Posts: 3
Joined: Thu Jun 28, 2018 12:32 am

realtime 0.5 not working

#1 Post by chiragvaidya » Thu Jun 28, 2018 12:37 am

I am using realtime 0.5 with cacti 0.8.8a everything was working fine previously but after fresh install realtime stops working. I have all the necessary permission to cache directory. realtime rra files are also getting generated fine. but i can only see broken image in realtime. When i click on broken image it shows be wrong path like "The requested URL /plugins/realtime/plugins/realtime/graph_image_rt.php was not found on this server."

The real path must be plugins/realtime/graph_image_rt.php

Please guys help me with this.

netniV
Cacti Guru User
Posts: 2670
Joined: Sun Aug 27, 2017 12:05 am

Re: realtime 0.5 not working

#2 Post by netniV » Thu Jun 28, 2018 2:31 pm

This would suggest that you have told realtime it's folder is root rather than just the cacti folder. Try changing it to the cacti root folder and it may start working. Unfortunately, I never used cacti 0.8 or it's plugins so I can't give much more advise than guesswork.

chiragvaidya
Posts: 3
Joined: Thu Jun 28, 2018 12:32 am

Re: realtime 0.5 not working

#3 Post by chiragvaidya » Fri Jun 29, 2018 3:46 am

Its still not working. I have put realtime into plugins. realtime has user root:root with 775 permission. I have also created cache directory in it and it has apache:apache with 775. Still rrd is there but i think no data is written init.

chiragvaidya
Posts: 3
Joined: Thu Jun 28, 2018 12:32 am

Re: realtime 0.5 not working

#4 Post by chiragvaidya » Fri Jun 29, 2018 5:10 am

is there any dependency for realtime pluggin to work? please let me know

netniV
Cacti Guru User
Posts: 2670
Joined: Sun Aug 27, 2017 12:05 am

Re: realtime 0.5 not working

#5 Post by netniV » Fri Jun 29, 2018 5:37 am

unfortunately, I can't personally offer more assistance on this. Other users who have used it on the forums may be able to but you could be struggling as 0.8 is many years old.

Post Reply